package com.application.GUI;

import javafx.geometry.Pos;
import javafx.scene.*;
import javafx.scene.control.*;
import javafx.scene.layout.*;
import javafx.stage.*;


/**
 * This class handles the popup input window
 */
public class Input {

    public static void display()
    {
        Stage window = new Stage();

        window.initModality(Modality.APPLICATION_MODAL);
        window.setTitle("Input Parameters");

        // Top
        Label inputLabel= new Label("Input");
        inputLabel.setId("inputTop");

        // Center - Input fields
        Label treeSpeciesInputLabel = new Label("Tree Species");
        treeSpeciesInputLabel.setId("inputLabel");
        TextField treeSpeciesInputText = new TextField();
        treeSpeciesInputText.setId("inputLabelText");
        treeSpeciesInputText.setPromptText("Bjørk");
        treeSpeciesInputText.getText();

        Label dimensionsInputLabel = new Label("Width x Height");
        dimensionsInputLabel.setId("inputLabel");
        TextField dimensionsInputText = new TextField();
        dimensionsInputText.setId("inputLabelText");
        dimensionsInputText.setPromptText("47 x 150");

        Label sawsetInputLabel = new Label("Sawset");
        sawsetInputLabel.setId("inputLabel");
        TextField sawsetInputText = new TextField();
        sawsetInputText.setId("inputLabelText");
        sawsetInputText.setPromptText("4x");

        Label moistureGoalInputLabel = new Label("Moisture Goal");
        moistureGoalInputLabel.setId("inputLabel");
        TextField moistureGoalInputText = new TextField();
        moistureGoalInputText.setId("inputLabelText");
        moistureGoalInputText.setPromptText("12%");


        // Bottom - start button
        Button startButton = new Button("Start");
        startButton.setId("inputButtonStart");

        startButton.setOnAction(e -> {

            window.close();
        });


        VBox layout = new VBox(10);
        layout.getChildren().addAll(inputLabel, treeSpeciesInputLabel, treeSpeciesInputText, dimensionsInputLabel, dimensionsInputText,
                sawsetInputLabel, sawsetInputText, moistureGoalInputLabel, moistureGoalInputText, startButton);
        layout.setAlignment(Pos.CENTER);

        Scene scene = new Scene(layout, 600, 600);
        scene.getStylesheets().add(Input.class.getResource("/com.application/CSS/styleSheet.css").toExternalForm());
        window.setScene(scene);
        window.showAndWait();

    }

}
